## lshell 0.9.17

=== Makefile ===
# Limited Shell (lshell) Makefile
#
# $Id: Makefile,v 1.16 2010-03-06 23:11:38 ghantoos Exp $
#

PYTHON=`which python`
DESTDIR=/
BUILDIR=$(CURDIR)/debian/lshell
PROJECT=lshell

all:
		@echo "make source - Create source package"
		@echo "make sourcedeb - Create source package (.orig.tar.gz)"
		@echo "make install - Install on local system"
		@echo "make buildrpm - Generate a rpm package"
		@echo "make builddeb - Generate a deb package"
		@echo "make clean - Get rid of scratch and byte files"

source:
		$(PYTHON) setup.py sdist

sourcedeb:
		$(PYTHON) setup.py sdist --dist-dir=../ --prune
		rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*

install: 
		$(PYTHON) setup.py install --root=$(DESTDIR) --no-compile

buildrpm: 
		$(PYTHON) setup.py bdist_rpm --pre-install=rpm/preinstall --post-install=rpm/postinstall --post-uninstall=rpm/postuninstall

builddeb:
		# build the source package in the parent directory 
		# then rename it to project_version.orig.tar.gz
		$(PYTHON) setup.py sdist --dist-dir=../ --prune
		rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
		# build the package
		dpkg-buildpackage -i -I -rfakeroot

clean:
		$(PYTHON) setup.py clean
		rm -rf build/ MANIFEST dist/
		find . -name '*.pyc' -delete

## lshell 0.9.8

=== debian/changelog ===
lshell (0.9.8-1ubuntu1) lucid; urgency=low

  * Add additional patterns to the forbidden characters list, per Debian bug
    572144. (LP: #540934) 
  * Update Maintainer field. 

 -- Luke Faraone <luke@faraone.cc>  Sat, 03 Apr 2010 16:30:16 -0400

lshell (0.9.8-1) unstable; urgency=low

  * New upstream version: 
    - Corrects crash when directory permission denied.
    - Adds minor features.
  * Updated packaging format to "3.0 (quilt)".
  * debian/rules:
    - Updated to use dh7 features. (Closes: #557826)
  * debian/control:
    - Bumped debhelper dependency to (>= 7.0.50~) for dh7 features support.
    - Moved Build-Depends-Indep dependencies to Build-Depends.
    - Replaced python-all-dev dependency by python.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Tue, 01 Dec 2009 19:07:01 +0100

lshell (0.9.6-1) unstable; urgency=low

  * Major security fix. User had access to all files located in forbidden 
    directories.
  * lshell exits gracefully when user home directory doesn't exist.
  * Added makejail(8) configuration example to help create a chroot with all 
    the required files to run lshell.
  * Updated the debian/watch file.
  * Standards-Version bumped to 3.8.3.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Wed, 09 Sep 2009 20:17:45 +0200

lshell (0.9.5-2) unstable; urgency=low

  * Added a dependency on adduser as addgroup(8) is used is the post 
    installation.
  * Corrected the debian/rules file to install only one copy of upstream's 
    changelog.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Wed, 19 Aug 2009 22:43:22 +0200

lshell (0.9.5-1) unstable; urgency=low

  * Initial release. (Closes: #503437)

 -- Ignace Mouzannar <mouzannar@gmail.com>  Tue, 28 Jul 2009 19:50:43 +0200

=== debian/control ===
Source: lshell
Section: shells
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python-support, python
Standards-Version: 3.8.3

Package: lshell
Architecture: all
Homepage: http://lshell.ghantoos.org/
Depends: ${misc:Depends}, ${python:Depends}, adduser
XB-Python-Version: ${python:Versions}
Description: restricts a user's shell environment to limited sets of commands
 lshell is a shell coded in Python that lets you restrict a user's environment
 to limited sets of commands, choose to enable/disable any command over SSH 
 (e.g. SCP, SFTP, rsync, etc.), log user's commands, implement timing 
 restrictions, and more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_ALWAYS_EXCLUDE=COPYING:CHANGES

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

## lshell 0.9.12

=== debian/changelog ===
lshell (0.9.12-1) unstable; urgency=low

  * New upstream release:
    - Corrects a major security bug (overriding path restrictions using
      variable expansion).
    - Adds the ability to allow/forbid upload and/or downloads via SCP.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Wed, 05 May 2010 23:12:05 +0200

lshell (0.9.10-1) unstable; urgency=low

  * New upstream release: 
    - Corrects major security bugs. (Closes: #572144)
    - Adds a logrotate file.
    - Adds new features.
  * debian/control:
    - Bumped Standards-Version to 3.8.4.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sun, 07 Mar 2010 01:52:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: lshell
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
+Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-support, python
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 
 Package: lshell
 Architecture: all

## lshell 0.9.14

=== debian/changelog ===
lshell (0.9.14-1) unstable; urgency=low

  * New upstream release:
    - Corrects multiple minor bugs.
    - Add new features as lsudo, history and logging via syslog.
  * debian/control:
    - Bumped Standards-Version to 3.9.1.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sun, 27 Feb 2011 19:49:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-support, python
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: lshell
 Architecture: all

## lshell 0.9.15.1

=== debian/changelog ===
lshell (0.9.15.1-1) unstable; urgency=low

  * New upstream release. 
  * debian/control:
    - Bumped Standards-Version to 3.9.3.
    - Updated debhelper version dependency to (>= 9).
    - Removed dependency on python-support.
    - Updated python version dependency to (>= 2.6.6-3~).
    - Added X-Python-Version field.
    - Added DM-Upload-Allowed.
    - Added Homepage field.
  * debian/rules:
    - Added python2 to dh's --with argument.
  * debian/copyright:
    - Updated to follow dep5.
  * debian/compat:
    - Set to 9.
  * Deleted debian/pyversions and debian/pycompat.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Tue, 10 Apr 2012 04:28:05 +0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: shells
 Priority: optional
 Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python-support, python
-Standards-Version: 3.9.1
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
+X-Python-Version: >=2.5, <=2.7
+Standards-Version: 3.9.3
+Homepage: https://github.com/ghantoos/lshell
 
 Package: lshell
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_ALWAYS_EXCLUDE=COPYING:CHANGES

%:
	dh $@ --with python2

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

## lshell 0.9.16

=== debian/changelog ===
lshell (0.9.16-1) unstable; urgency=low

  * New upstream release (Closes: #668776).
  * debian/control:
    - Bumped Standards-Version to 3.9.4.
    - Remove obsolete DM-Upload-Allowed field.
  * debian/rules:
    - Added override for dh_auto_install.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Thu, 15 Aug 2013 18:09:39 +0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: shells
 Priority: optional
 Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
 X-Python-Version: >=2.5, <=2.7
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://github.com/ghantoos/lshell
 
 Package: lshell

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_ALWAYS_EXCLUDE=COPYING:CHANGES
export PYTHON=`which python`

%:
	dh $@ --with python2

override_dh_auto_install:
	$(PYTHON) setup.py install --root=$(CURDIR)/debian/lshell --install-layout=deb

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

## lshell 0.9.17

=== debian/changelog ===
lshell (0.9.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bumped Standards-Version to 3.9.4.
  * debian/lshell.docs:
    - Modified README to README.md.
  * Removed deprecated debian/pycompat.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Fri, 14 Aug 2015 07:26:28 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
 X-Python-Version: >=2.5, <=2.7
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: https://github.com/ghantoos/lshell
 
 Package: lshell

=== debian/watch ===
version=3
http://sf.net/lshell/lshell-(.*)\.tar\.gz

## lshell 0.9.18

=== debian/changelog ===
lshell (0.9.18-2) unstable; urgency=medium

  * debian/rules:
    - Set build system to pybuild to resolve the FTBFS due to default build
      system being for Python 2 (distutils)
      See: https://lists.debian.org/debian-python/2014/03/msg00091.html

 -- Ignace Mouzannar <mouzannar@gmail.com>  Fri, 26 Feb 2016 18:27:56 -0500

lshell (0.9.18-1) unstable; urgency=medium

  * New upstream release (Closes: #668776)
  * debian/control:
    - Bumped Standards-Version to 3.9.7
    - Now builds against Python3:
      - Replaced X-Python-Version variable with X-Python3-Version, as lshell
      is now compatible with Python >=3.4
      - Modified ${python:Depends} to ${python3:Depends}
      - Modified Build-Depends to use python3
  * debian/rules:
    - Build for Python3. Replaced --with-python2 with --with-python3
    - Added dh_auto_clean override to remove all build files when cleaning
  * debian/watch:
    - Updated to point to github instead of deprecated sf.net repo

 -- Ignace Mouzannar <mouzannar@gmail.com>  Thu, 25 Feb 2016 11:10:59 -0500

=== debian/control ===
Source: lshell
Section: shells
Priority: optional
Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
Build-Depends: debhelper (>= 9), python3 (>= 3.4)
X-Python3-Version: >= 3.4
Standards-Version: 3.9.7
Homepage: https://github.com/ghantoos/lshell

Package: lshell
Architecture: all
Homepage: http://lshell.ghantoos.org/
Depends: ${misc:Depends}, ${python3:Depends}, adduser
XB-Python-Version: ${python3:Versions}
Description: restricts a user's shell environment to limited sets of commands
 lshell is a shell coded in Python that lets you restrict a user's environment
 to limited sets of commands, choose to enable/disable any command over SSH 
 (e.g. SCP, SFTP, rsync, etc.), log user's commands, implement timing 
 restrictions, and more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_ALWAYS_EXCLUDE=COPYING:CHANGES
export PYTHON=`which python3`

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	$(PYTHON) setup.py install --root=$(CURDIR)/debian/lshell --install-layout=deb

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_auto_clean:
	$(PYTHON) setup.py clean -a
	dh_auto_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/ghantoos/lshell/tags .*/v?(\d\S*)\.tar\.gz
